
@charset "UTF-8";

.ui-datepicker .ui-datepicker-header {
  color: var(--color-white);
  background-color: var(--color-primary);
}

.ui-widget-content .ui-state-default:not(.ui-state-highlight, .ui-state-active) {
  background-color: transparent;
}

.ui-widget-content .ui-state-active {
  color: var(--color-base);
  border-color: var(--color-primary);
  background-color: transparent;
}

.ui-datepicker .ui-widget-header .ui-icon {
  border-top: 1px solid var(--color-white);
  border-right: 1px solid var(--color-white);
  background: none;
  width: 25%;
  height: 25%;
  margin: 0;
  inset: 0;
  margin: auto;
}

.ui-widget-header a {
  border: none;
  background: none; 
}

.ui-widget-header .ui-state-hover {
  border: none;
  background: none;
}

.ui-datepicker :is(.ui-datepicker-prev, .ui-datepicker-next) {
  width: 32px;
  height: 32px;
  top: 0;
  bottom: 0;
  margin-block: auto;
}

.ui-datepicker :is(.ui-datepicker-prev, .ui-datepicker-prev-hover) {
  left: 0;
}

.ui-datepicker .ui-datepicker-prev .ui-icon {
  rotate: -135deg;
}

.ui-datepicker :is(.ui-datepicker-next, .ui-datepicker-next-hover) {
  right: 0;
}

.ui-datepicker .ui-datepicker-next .ui-icon {
  rotate: 45deg;
}

.ui-datepicker th:first-child {
  color: red;
}

.ui-datepicker th:last-child {
  color: blue;
}

.ui-datepicker td.sunday a {
  color: red;
}

.ui-datepicker td.saturday a {
  color: blue;
}
